/*
 * Copyright 2021 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.spring.asciidoctor.backend.codetools;

/**
 * Chomp options.
 *
 * @author Phillip Webb
 */
enum ChompOption {

	/**
	 * Chomp headers.
	 */
	HEADERS,

	/**
	 * Chomp the package declaration.
	 */
	PACKAGES,

	/**
	 * Chomp tags defined in comments.
	 */
	TAGS,

	/**
	 * Chomp and formatter on/off comments.
	 */
	FORMATTERS,

	/**
	 * Chomp {@code @SuppressWarnings} annotation.
	 */
	SUPPRESSWARNINGS;

	static final ChompOption[] DEFAULTS = { TAGS, FORMATTERS, SUPPRESSWARNINGS };

}
